curl --request POST \
--url https://api.kycaml.frankiefinancial.io/v2/organizations/ownership \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"organizationToken": "<string>",
"externalReferences": [
{
"name": "CUSTOMER-REFERENCE",
"value": "CUST-00001342",
"description": "This is the customer ID in the core banking system.",
"type": "CUSTOMER",
"metadata": {}
}
]
}
'import requests
url = "https://api.kycaml.frankiefinancial.io/v2/organizations/ownership"
payload = {
"organizationToken": "<string>",
"externalReferences": [
{
"name": "CUSTOMER-REFERENCE",
"value": "CUST-00001342",
"description": "This is the customer ID in the core banking system.",
"type": "CUSTOMER",
"metadata": {}
}
]
}
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
organizationToken: '<string>',
externalReferences: [
{
name: 'CUSTOMER-REFERENCE',
value: 'CUST-00001342',
description: 'This is the customer ID in the core banking system.',
type: 'CUSTOMER',
metadata: {}
}
]
})
};
fetch('https://api.kycaml.frankiefinancial.io/v2/organizations/ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Organization Ownership
Process a request for ownership details of an organization
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Query Parameters
This will fetch the latest information from the registry if set to true.
Body
Response
Accepted
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
Entities are assigned a FrankieOne auto-generated UUID to ensure global uniqueness, represented as entityId. The entityId allows for precise modification when required. To modify an entity, set the entityId of the entity you wish to update in an update request.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Was this page helpful?